package com.ruixuan.jiaoyang.service;


import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.github.pagehelper.PageInfo;
import com.ruixuan.jiaoyang.entity.JyMaterialList;

import java.util.List;

/**
 * 素材信息Service接口
 *
 * @author ruoyi
 * @date 2023-11-16
 */
public interface IJyMaterialListService
{
    /**
     * 查询素材信息
     *
     * @param id 素材信息主键
     * @return 素材信息
     */
    public JyMaterialList selectJyMaterialListById(Long id);

    /**
     * 查询素材信息列表
     *
     * @param jyMaterialList 素材信息
     * @return 素材信息集合
     */
    public PageInfo<JyMaterialList> selectJyMaterialListList(JyMaterialList jyMaterialList);

    /**
     * 新增素材信息
     *
     * @param jyMaterialList 素材信息
     * @return 结果
     */
    public int insertJyMaterialList(JyMaterialList jyMaterialList);

    /**
     * 修改素材信息
     *
     * @param jyMaterialList 素材信息
     * @return 结果
     */
    public int updateJyMaterialList(JyMaterialList jyMaterialList);

    /**
     * 批量删除素材信息
     *
     * @param ids 需要删除的素材信息主键集合
     * @return 结果
     */
    public int deleteJyMaterialListByIds(Long[] ids);

    /**
     * 删除素材信息信息
     *
     * @param id 素材信息主键
     * @return 结果
     */
    public int deleteJyMaterialListById(Long id);

    Integer checkMaterial(String signature);

    void addMaterials(Long userId, String userName, JSONArray materialList);

    PageInfo<JSONObject> getKeyWordList(Integer pageNum,Integer pageSize);

    void insertKeyWord(String type, String keyWord);
}
